+++
title = "Resume"
description = "A history of professional, educational, and personal interests"
weight = 1
+++

# Summary

I am a polyglot developer with considerable experience in Ruby and Rails and bash. I excel at documenting critical technical processes for other engineers, being a force multiplier, and mentoring other developers. I am very passionate about finding new and creative ways to automate deployments in cloud environments so that business value can be delivered quickly and efficiently.

# Work History

## OysterHR, Remote

### Tech Lead & Staff Software Engineer

September 2021 - 20 January 2023

* Designed and implemented a reproducible and identical local stack across Linux and macOS using `nix`, `direnv`, `just`, and `supervisord`
    * Single-handedly reduced new engineer onboarding time to about 2 hours
* Supported the entire engineering department with the local development environment in both Linux and macOS
* Rewrote the git-hosted markdown documentation into a complete tutorial and walkthrough to onboard new developers using Notion
* Designed complex data structures for use in all countries serviced by Oyster
* Developed policies and best practices for features across multiple teams and stakeholders, including product
* Participated in many technical interviews, resulting in hiring many new engineers including other Staff level engineers

## Consolo Services / WellSky, Remote

### Principal Software Architect

June 2006 - August 2021

* Founding engineer of the team; one of four initial employees
* Led product from a tiny startup of about 7 customers to over 30 M requests / month
* Led migration of the core application from pre-beta Ruby on Rails all the way to Kubernetes deployments using Helm charts first in AWS and later in GCP
* Implemented one of the most sophisticated billing systems for hospice and Medicare
* Spearheaded a platform-wide documentation project to share knowledge
* Designed benchmarks to improve system response times across the entire platform
* Committed bug fixes to `vagrant`, the open source development tool
* We sold the Consolo IP to WellSky in 2019 at a $50M valuation
* Contributed in some way to each of the 20+ microservices
* Fostered new developers

## Performance Support, Montgomery, AL

### Systems Operator

October 2004 - June 2006

* Maintained an interim Secret clearance
* Managed Department of Defense computer systems at Maxwell Air Force base
* Developed tools to automate system maintenance tasks and shift duties
    * Reduced a process from 3 hours per shift to an automated email every 15 minutes
* Administered machines running HP-UX on PA-RISC processors

# Technologies

{{ capsule(item="Ruby") }} {{ capsule(item="Ruby-on-Rails") }} {{ capsule(item="Rust") }} {{ capsule(item="Kubernetes") }} {{ capsule(item="Helm") }} {{ capsule(item="Cloud infrastructure (AWS & GCP)") }} {{ capsule(item="Github Actions") }} {{ capsule(item="Google Cloud Build") }} {{ capsule(item="Heroku") }} {{ capsule(item="DataDog") }} {{ capsule(item="NewRelic") }} {{ capsule(item="Prometheus") }} {{ capsule(item="Alertmanager") }} {{ capsule(item="Grafana") }} {{ capsule(item="Nix") }} {{ capsule(item="Docker") }} {{ capsule(item="Podman") }} {{ capsule(item="Terraform") }} {{ capsule(item="Ansible") }} {{ capsule(item="bash / sh scripting") }} {{ capsule(item="JavaScript") }} {{ capsule(item="TypeScript") }} {{ capsule(item="Notion") }} {{ capsule(item="mdbook") }} {{ capsule(item="Erlang") }} {{ capsule(item="Elixir") }} {{ capsule(item="PostgreSQL") }} {{ capsule(item="SQLite") }} {{ capsule(item="Linux") }} {{ capsule(item="FreeBSD") }} {{ capsule(item="GNU Make") }} {{ capsule(item="just") }} {{ capsule(item="nginx") }} {{ capsule(item="caddy") }} {{ capsule(item="JSON") }} {{ capsule(item="YAML") }} {{ capsule(item="TOML") }} {{ capsule(item="REST") }} {{ capsule(item="GraphQL") }} {{ capsule(item="HTTP(S)") }} 

# Education

## Tennessee Tech University

### Computer Science, B.S.

August 2001 - December 2009

# Personal

* I am the cook of the house.
    * I make most meals in the house and I can also make some killer baked goods.
* I enjoy overlanding, offroading, and camping.
* My family has a farm.
    * A _real_ farm with more than 75 animals.
* I do not need a gym membership: I have a farm. It is hard work, but rewarding.
* My partner grows cut flowers professionally.
* My tractor is more expensive than my truck.
* I self-host most of the services I use online (but not email).
* I enjoy playing video games.
* I learn new programming languages that seem interesting.
    * My favorite method is to use the [Advent of Code](https://adventofcode.com) puzzles.
* My family recently developed a shared interest in Pokemon TCG (Trading Card Game).
* My partner and I have travelled to Japan 5 times together.
    * COVID has been hard on travel, hopefully the price of the tickets will come down now that the borders are open to tourists again (2023-01-12).